#
# spec file for package python-ec2deprecateimg
#
# Copyright (c) 2015 SUSE Linux GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name ec2deprecateimg
Name:           python3-ec2deprecateimg
Version:        4.0.0
Release:        1.20
Summary:        Tag image as deprected in EC2
License:        GPL-3.0+
Group:          System/Management
Url:            https://github.com/SUSE/Enceladus
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python3
Requires:       python3-boto3
Requires:       python3-dateutil
Requires:       python-ec2utilsbase >= 3.0.0
Requires:       python-ec2utilsbase < 4.0.0
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

# Package renamed in SLE 12, do not remove Provides, Obsolete directives
# until after SLE 12 EOL
Provides:       python-ec2deprecateimg = %{version}
Obsoletes:      python-ec2deprecateimg < %{version}

%description
Deprecate images owned by the specified account by adding tags named
"Deprecated on", "Removal date", and "Replacement image"

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 man/man1/ec2deprecateimg.1 %{buildroot}/%{_mandir}/man1
gzip %{buildroot}/%{_mandir}/man1/ec2deprecateimg.1

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_mandir}/man*/*
%dir %{python3_sitelib}/ec2utils
%{python3_sitelib}/*
%{_bindir}/*

%changelog
* Thu Aug 10 2017 rjschwei@suse.com
- Update to version 4.0.0
  + Convert to Python 3
* Thu Sep 15 2016 rjschwei@suse.com
- Update to version 3.0.2 (bsc#999019)
  + Coordinated release with other ec2utils
  + Fix install from source by properly setting up a namespace
* Tue Apr 26 2016 rjschwei@suse.com
- Fix dependency in spec file, needs to depend on boto3
* Mon Mar 28 2016 rjschwei@suse.com
- Update to version 3.0.0 (bsc#972845)
  + Convert to use boto3
* Thu Feb 18 2016 rjschwei@suse.com
- Update to version 2.1.2 (bsc#966958)
  + Do not show traceback when no account is provided on command line
  + Update for compatibility with new base implementation of get_from_config()
* Mon Aug 24 2015 rjschwei@suse.com
- Update to version 2.1.2
  + Do not remember the found image ID or will be carried to the next
    region where it does not exist and will cause dperectaion failure
* Thu Aug 13 2015 rjschwei@suse.com
- Update to version 2.1.1 - Include in SLE 12 (FATE#319357)
  + Refactor to use new functions from the utils
* Thu Jun 18 2015 rjschwei@suse.com
- Update to version 2.1.0
  + Fix use of --version
  + Support --access-id and --secret-key to over ride config file key
    information
  + New --force option to overwrite existing deprecation tag information
    with new data
  + pep8 clean
* Wed May  6 2015 lmuelle@suse.com
- Remove the redundant %%doc from the _mandir and restrict the file list a bit.
- List files from python sitelib once.
* Mon May  4 2015 rjschwei@suse.com
- Bump to version 1.1.0
  + Integrate with and require new python-ec2utilsbase
* Tue Apr 28 2015 rjschwei@suse.com
- Bump to version 1.0.0
  + Fix ctor keyword argument
  + Handle unexpected condition without generating a traceback
* Tue Mar 17 2015 rjschwei@suse.com
- Initial build
  Version 0.9.0
